
Lookup Editor - Task #2634

Task # 2620 (Closed): Replace HandsOnTable with jexcel

Run through test plan

04/03/2020 05:45 AM - Luke Murphey

Status: Closed Start date: 04/03/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.4   

Description

Might need to add note about _time field handling

History

#1 - 04/13/2020 04:04 AM - Luke Murphey

Here are the parts of the text plan that should be focused on:

Users can edit lookups

[Automated] The files can be modified in the editor (both KV store and CSV)

        New empty rows can be edited (in both KV store and CSV lookups)

    Lookups entries can be loaded from other users (KV store only)

        Entries are saved in the user selected

        Entries from a given user are displayed

        The URL is modified when switching user contexts

        Rows are deleted under the loaded user

    Adding a new row works and doesn't show "null"

    [Automated] The user is provided messaging regarding saving edits (that it is in-progress and/or completed

)

    [Automated] KV store with a hierarchy can be edited

    [Automated] KV store that enforces types can be edited (and a warning is shown if an incorrect types)

        [Automated] Incorrect values for fields when a lookup has defined types can be edited

    Making multiple KV store lookups with the same name is not allowed

    A warning is shown if the user does not have permission to view the lookup files

    A warning is shown if the lookup file does not exist

    [Automated] A warning is shown if the lookup file is too large to modify

    Users cannot remove the header

    Lookup files that are owned by a user but are actually in the apps directory are saved in the correct loca

tion

    The lookup backup list is refreshed when saving (CSV only)

    

[Automated] The editor recognizes the field types (if available) for KV lookups and shows that the value is in

correct (e.g. entering "foo" in a field that expects an number is shown as invalid)

    Header is fixed so that it always appears at the top of the editor

    If a lookup has no rows, then the editor will display at least one empty row

    A warning is displayed if attempting to remove the first row (CSV lookups only)

    KV collection time fields can be edited and converted accordingly

        Entering a epoch time gets converted to the appropriate string value

        Entering a string value gets converted to the appropriate epoch value

        Values are loaded upon page load correctly

 

Users can view and load backups of files (CSV only)

Backups are automatically made when a lookup is saved

Loading a backup causes it to be loaded into the editor*

A message is shown when a lookup is loaded

Backups for user lookups work

XSS prevention

An imported CSV with scripting doesn't get executed

    [Automated] A CSV or KV store lookup with scripting doesn't get executed
#2 - 04/13/2020 04:52 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
